Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.build
Class InstallTaskPlan

    java.lang.Object
      com.bea.wli.build.InstallCustomModule
          com.bea.wli.worklist.build.InstallTaskPlan

    public class InstallTaskPlan

extends com.bea.wli.build.InstallCustomModule

Command-line and Java native utility to install one or more task plans (.task files) into a target J2EE application directory. Installation includes copying the .task files into the appropriate location in the app (if needed) and updating the weblogic-extension.xml descriptor to include a reference to the .task file.

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.wli.build.InstallCustomModule
`com.bea.wli.build.InstallCustomModule.ModuleInfo, com.bea.wli.build.InstallCustomModule.Options`

Constructor Summary
`InstallTaskPlan(com.bea.wli.build.InstallCustomModule.Options options)`

Method Summary
`protected com.bea.wli.build.InstallCustomModule.ModuleInfo` | `getModuleInfo()`
`static com.bea.wli.build.InstallCustomModule.ModuleInfo` | `getTaskPlanModuleInfo()`
`static void` | `main(String[] args)` Command-line main method for running InstallTaskPlan.
`static void` | `printUsage()`

Methods inherited from class com.bea.wli.build.InstallCustomModule
`copyFile, getFileList, removeModuleProvider, run, verifyModule, verifyModuleProvider, verifyStandardModule, verifyWebLogicExtensionDescriptor, writeWebLogicExtensionDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstallTaskPlan

    public InstallTaskPlan(com.bea.wli.build.InstallCustomModule.Options options)

Method Detail

### getModuleInfo

    protected com.bea.wli.build.InstallCustomModule.ModuleInfo getModuleInfo()

  Specified by:
    `getModuleInfo` in class `com.bea.wli.build.InstallCustomModule`

### getTaskPlanModuleInfo

    public static com.bea.wli.build.InstallCustomModule.ModuleInfo getTaskPlanModuleInfo()

### main

    public static void main(String[] args)

  Command-line main method for running InstallTaskPlan.

  Parameters:
    `args` - -help for usage.

### printUsage

    public static void printUsage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD